<link rel="import" href="../../bower_components/polymer/polymer-element.html">
<link rel="import" href="./../dm/pokemon-list.html">


<dom-module id="pokemon-app">
  <template>
    <style>
      :host {
        display: block;
      }
    </style>
    <h2>List Pokemons</h2>
    <pokemon-list></pokemon-list>
  </template>

  <script>
    /**
     * @customElement
     * @polymer
     */
    class PokemonApp extends Polymer.Element {
      static get is() { return 'pokemon-app'; }
      static get properties() {
        return {
          prop1: {
            type: String,
            value: 'pokemon-app'
          }
        };
      }
    }

    window.customElements.define(PokemonApp.is, PokemonApp);
  </script>
</dom-module>
